#!/bin/bash

source ../../../skripte-bash/einstellungen.sh


################################################################################
# Folgende Parameter mssen berprft und evtl. angepasst werden               #
################################################################################

# (1) Allgemeine Einstellungen laden.
#source ../../skripte-bash/einstellungen.sh

# (2) Parameter fr den Java-Interpreter, als Standard werden die Einstellungen
# aus einstellungen.sh verwendet. Kann verwendet werden, wenn (1) nicht
# funktioniert.
#jvmArgs="-Dfile.encoding=ISO-8859-1"

# (3) Parameter fr den Datenverteiler, als Standard werden die Einstellungen
# aus einstellungen.sh verwendet. Kann verwendet werden, wenn (1) nicht
# funtkioniert.
#dav1="-datenverteiler=localhost:8083 -benutzer=Tester -authentifizierung=passwd -debugFilePath=.."

# (4) Der Classpath fr die Applikation.
classpath=../de.bsvrz.kex.mif-runtime.jar

#########################################################################
#                                                                       #
#                        Parameter fr den Test                         #
#                                                                       #
#########################################################################

# MIF-Datenbasis
MIFDB="statischerImport"

# Pfad fr den Konfigurationsbereich
KBPFAD="."

# KonfigurationsVerantwortlicher
KV="kv.bw"

# PID des Konfigurationsbereiches
KBPID="kb.statischerImportKommandozeileBw"

# Name des Konfigurationsbereiches
KBNAME="kbName"

# Info des Konfigurationsbereiches
KBINFO="kbInfo"

################################################################################
# Ab hier muss nichts mehr angepasst werden                                    #
################################################################################

java $jvmArgs -cp $classpath de.bsvrz.kex.mif.vew.KexMIF \
    $dav1 \
    -debugLevelFileText=all \
    -debugLevelStdErrText=all \
    -debugSetLoggerAndLevel=:warning \
    -debugSetLoggerAndLevel=de.bsvrz.kex:info \
    -mifDatenQuelle=$MIFDB \
    -pfadNameKonfigurationsBereich=$KBPFAD \
    -KonfigurationsVerantwortlicher=$KV \
    -KonfigurationsBereichsPid=$KBPID \
    -KonfigurationsBereichsName=$KBNAME \
    -KonfigurationsBereichsInfo=$KBINFO 
