@ECHO OFF


REM ############################################################################
REM Folgende Parameter mssen berprft und evtl. angepasst werden.
REM ############################################################################

REM (1) Allgemeine Einstellungen laden.
CALL ..\..\..\skripte-dosshell\einstellungen.bat

REM (2) Parameter fr den Java-Interpreter, als Standard werden die
REM Einstellungen aus einstellungen.bat verwendet. Kann verwendet werden, wenn
REM (1) nicht funktioniert.
REM SET jvmArgs=-Dfile.encoding=ISO-8859-1
SET jvmArgs=%jvmArgs% -Xmx256m

REM (3) Parameter fr den Datenverteiler, als Standard werden die Einstellungen
REM aus einstellungen.bat verwendet. Kann verwendet werden, wenn (1) nicht
REM funktioniert.
REM SET dav1=-datenverteiler=localhost:8083 -benutzer=Tester -authentifizierung=passwd -debugFilePath=..

REM (4) Der Klassenpfad fr die Applikation.
SET classpath=..\de.bsvrz.kex.mif-runtime.jar

rem #########################################################################
rem #                                                                       #
rem #                        Parameter fr den Test                         #
rem #                                                                       #
rem #########################################################################

rem # MIF-Datenbasis
SET MIFDB="statischerImport"

rem # Pfad fr den Konfigurationsbereich
SET KBPFAD="."

rem # KonfigurationsVerantwortlicher
SET KV="kv.bw"

rem # PID des Konfigurationsbereiches
SET KBPID="kb.statischerImportKommandozeileBw"

rem # Name des Konfigurationsbereiches
SET KBNAME="kbName"

rem # Info des Konfigurationsbereiches
SET KBINFO="kbInfo"

REM ############################################################################
REM Ab hier muss nichts mehr angepasst werden
REM ############################################################################

CHCP 1252
TITLE Prfprozedur Segment 2, SWE2.MIF, Prffall 2: Testfall 7

java %jvmArgs% -cp %classpath% de.bsvrz.kex.mif.vew.KexMIF ^
	%dav1% ^
	-debugLevelFileText=all ^
	-debugLevelStdErrText=all ^
	-debugSetLoggerAndLevel=:warning ^
	-debugSetLoggerAndLevel=de.bsvrz.kex:info ^
	-guiStatischerImportMif=ja ^
	-mifDatenQuelle=%MIFDB% ^
	-pfadNameKonfigurationsBereich=%KBPFAD% ^
        -KonfigurationsVerantwortlicher=%KV% ^
        -KonfigurationsBereichsPid=%KBPID% ^
        -KonfigurationsBereichsName=%KBNAME% ^
    	-KonfigurationsBereichsInfo=%KBINFO% 


REM Nach dem Beenden warten, damit Meldungen gelesen werden knnen
PAUSE
